TICKIT_RECT_INIT_SIZED(3)

NAME
tickit_rect_init_sized, tickit_rect_init_bounded - initialise a rectangle struct

SYNOPSIS
    #include <tickit.h>

    void tickit_rect_init_sized(TickitRect *rect, int top, int left,
        int lines, int cols);
    void tickit_rect_init_bounded(TickitRect *rect, int top, int left,
        int bottom, int right);

Link with -ltickit.

DESCRIPTION
tickit_rect_init_sized() initialises a TickitRect structure to contain the given top left corner and size. It is equivalent to just initialising the four fields individually, but is included in the API for completeness.

tickit_rect_init_bounded() initialises a TickitRect structure to contain the given top left and bottom right bounds.

RETURN VALUE
Neither function returns a value.

SEE ALSO
tickit_rect_bottom(3), tickit_rect_right(3), tickit_rect(7), tickit(7)